%global fontname oflb-icelandic
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.001
Release:        11%{?dist}
Summary:        Icelandic Magical Staves

Group:          User Interface/X
License:        OFL
## Note that upstream is dead and there is no download link available at this minute
## so please don't report FTBFS bugs for this package.
URL:            http://openfontlibrary.org/media/files/asyropoulos/238
Source0:        http://openfontlibrary.org/people/asyropoulos/asyropoulos_-_Icelandic.otf
Source1:        %{name}-fontconfig.conf
Source2:        README.license
#license text extracted from font file
Source3:        License.txt
BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Obsoletes:      icelandic-fonts < 1.001-9
Provides:       icelandic-fonts = %{version}-%{release}

%description
A font that includes most "magical" staves that have been "used" in Iceland.
Original drawings from the Museum of Sorcery & Witchcraft web site at
www.galdrasyning.is/.

%prep
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build
#nothing to do

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{SOURCE0} %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

%_font_pkg -f %{fontconf} *.otf
%doc README.license License.txt

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.001-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 26 2010 Parag Nemade <pnemade AT redhat.com> - 1.001-10
- Resolves:rh#617983: Fixing fontconfig rule file

* Tue Jul 13 2010 Parag Nemade <pnemade AT redhat.com> - 1.001-9
- Initial package to rename from icelandic-fonts.
- updated/renamed this package according to fonts packaging guidelines.
